BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/mistakes/apply

Apply a reviewed mistake removal plan.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/mistakes/apply" \  -H "Content-Type: application/json" \  -d '{    "timeline_item_id": "string",    "preview_confirmed": true  }'
{  "success": true,  "mistakeTimelineItemIds": [    "string"  ],  "clearedTimelineItemIds": [    "string"  ],  "txids": [    0  ],  "summary": {    "analyzedCount": 0,    "mistakeCount": 0  },  "deletionResult": {    "deletedCount": 0,    "deletedCaptionTimelineItemCount": 0,    "deletedWordCount": 0,    "adjustedCaptionCount": 0  }}